Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst	(revision 2499)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst	(revision 2503)
@@ -378,98 +483,98 @@
                                         # Function "initActor" of type "@void-", dynamic linkage "-v":
 l1:
-0007f9 000000 32                        null.i
-0007fa 000001 0a 80                     storescr.i 0
-0007fc 000003 7a 82                     const.s 2
-0007fe 000005 bc 82                     bi.getParamStr 2
-000800 000007 c4 83                     bi.findActor 3
-000802 000009 0e 80                     storescr.a 0
-000804 00000b 7a 83                     const.s 3
-000806 00000d bc 84                     bi.getParamStr 4
-000808 00000f c4 85                     bi.findActor 5
-00080a 000011 0e 81                     storescr.a 1
-00080c 000013 7f                        return
+000ad8 000000 32                        null.i
+000ad9 000001 0a 80                     storescr.i 0
+000adb 000003 7a 82                     const.s 2
+000add 000005 bc 82                     bi.getParamStr 2
+000adf 000007 c4 83                     bi.findActor 3
+000ae1 000009 0e 80                     storescr.a 0
+000ae3 00000b 7a 83                     const.s 3
+000ae5 00000d bc 84                     bi.getParamStr 4
+000ae7 00000f c4 85                     bi.findActor 5
+000ae9 000011 0e 81                     storescr.a 1
+000aeb 000013 7f                        return
                                         
                                         # Function "finishActor" of type "@void-", dynamic linkage "-v":
 l2:
-00080d 000014 7f                        return
+000aec 000014 7f                        return
                                         
                                         # Function "open" of type "@void-", dynamic linkage "":
 l3:
-00080e 000015 29 81                     changeloc.f 1
-000810 000017 04 80                     loadscr.a 0
-000812 000019 7a 86                     const.s 6
-000814 00001b ca 88 81                  bi.a.dyncall 8 1
-000817 00001e 04 81                     loadscr.a 1
-000819 000020 7a 87                     const.s 7
-00081b 000022 ca 89 81                  bi.a.dyncall 9 1
-00081e 000025 04 80                     loadscr.a 0
-000820 000027 7a 88                     const.s 8
-000822 000029 ca 8a 89                  bi.a.dyncall 10 9
-000825 00002c 1f ff                     storeloc.f -1
-000827 00002e 7a 8a                     const.s 10
-000829 000030 15 ff                     loadloc.f -1
-00082b 000032 c8 8b                     bi.evtAppoint 11
-00082d 000034 29 ff                     changeloc.f -1
-00082f 000036 7f                        return
+000aed 000015 29 81                     changeloc.f 1
+000aef 000017 04 80                     loadscr.a 0
+000af1 000019 7a 86                     const.s 6
+000af3 00001b ca 88 81                  bi.a.dyncall 8 1
+000af6 00001e 04 81                     loadscr.a 1
+000af8 000020 7a 87                     const.s 7
+000afa 000022 ca 89 81                  bi.a.dyncall 9 1
+000afd 000025 04 80                     loadscr.a 0
+000aff 000027 7a 88                     const.s 8
+000b01 000029 ca 8a 89                  bi.a.dyncall 10 9
+000b04 00002c 1f ff                     storeloc.f -1
+000b06 00002e 7a 8a                     const.s 10
+000b08 000030 15 ff                     loadloc.f -1
+000b0a 000032 c8 8b                     bi.evtAppoint 11
+000b0c 000034 29 ff                     changeloc.f -1
+000b0e 000036 7f                        return
                                         
                                         # Function "close" of type "@void-", dynamic linkage "":
 l4:
-000830 000037 29 81                     changeloc.f 1
-000832 000039 04 80                     loadscr.a 0
-000834 00003b 7a 8c                     const.s 12
-000836 00003d ca 8d 81                  bi.a.dyncall 13 1
-000839 000040 04 81                     loadscr.a 1
-00083b 000042 7a 87                     const.s 7
-00083d 000044 ca 8e 81                  bi.a.dyncall 14 1
-000840 000047 04 80                     loadscr.a 0
-000842 000049 7a 88                     const.s 8
-000844 00004b ca 8f 89                  bi.a.dyncall 15 9
-000847 00004e 1f ff                     storeloc.f -1
-000849 000050 7a 8a                     const.s 10
-00084b 000052 15 ff                     loadloc.f -1
-00084d 000054 c8 90                     bi.evtAppoint 16
-00084f 000056 29 ff                     changeloc.f -1
-000851 000058 7f                        return
+000b0f 000037 29 81                     changeloc.f 1
+000b11 000039 04 80                     loadscr.a 0
+000b13 00003b 7a 8c                     const.s 12
+000b15 00003d ca 8d 81                  bi.a.dyncall 13 1
+000b18 000040 04 81                     loadscr.a 1
+000b1a 000042 7a 87                     const.s 7
+000b1c 000044 ca 8e 81                  bi.a.dyncall 14 1
+000b1f 000047 04 80                     loadscr.a 0
+000b21 000049 7a 88                     const.s 8
+000b23 00004b ca 8f 89                  bi.a.dyncall 15 9
+000b26 00004e 1f ff                     storeloc.f -1
+000b28 000050 7a 8a                     const.s 10
+000b2a 000052 15 ff                     loadloc.f -1
+000b2c 000054 c8 90                     bi.evtAppoint 16
+000b2e 000056 29 ff                     changeloc.f -1
+000b30 000058 7f                        return
                                         
                                         # Function "enter" of type "@void-<@actor", dynamic linkage "-v<a":
 l5:
-000852 000059 2c 81                     changeloc.a 1
-000854 00005b 22 ff                     storeloc.a -1
-000856 00005d 00 80                     loadscr.i 0
-000858 00005f 32                        null.i
-000859 000060 46                        equal.i
-00085a 000061 7c 83                     jumpz l8
-00085c 000063 7e 7f af                  call l3
+000b31 000059 2c 81                     changeloc.a 1
+000b33 00005b 22 ff                     storeloc.a -1
+000b35 00005d 00 80                     loadscr.i 0
+000b37 00005f 32                        null.i
+000b38 000060 46                        equal.i
+000b39 000061 7c 83                     jumpz l8
+000b3b 000063 7e 7f af                  call l3
 l8:
-00085f 000066 00 80                     loadscr.i 0
-000861 000068 78 81                     const.i 1
-000863 00006a 87                        bi.i.add
-000864 00006b 0a 80                     storescr.i 0
-000866 00006d 2c ff                     changeloc.a -1
-000868 00006f 7f                        return
+000b3e 000066 00 80                     loadscr.i 0
+000b40 000068 78 81                     const.i 1
+000b42 00006a 87                        bi.i.add
+000b43 00006b 0a 80                     storescr.i 0
+000b45 00006d 2c ff                     changeloc.a -1
+000b47 00006f 7f                        return
                                         
                                         # Function "leave" of type "@void-<@actor", dynamic linkage "-v<a":
 l6:
-000869 000070 2c 81                     changeloc.a 1
-00086b 000072 22 ff                     storeloc.a -1
-00086d 000074 00 80                     loadscr.i 0
-00086f 000076 78 81                     const.i 1
-000871 000078 88                        bi.i.sub
-000872 000079 0a 80                     storescr.i 0
-000874 00007b 00 80                     loadscr.i 0
-000876 00007d 32                        null.i
-000877 00007e 46                        equal.i
-000878 00007f 7c 83                     jumpz l9
-00087a 000081 7e 7f b3                  call l4
+000b48 000070 2c 81                     changeloc.a 1
+000b4a 000072 22 ff                     storeloc.a -1
+000b4c 000074 00 80                     loadscr.i 0
+000b4e 000076 78 81                     const.i 1
+000b50 000078 88                        bi.i.sub
+000b51 000079 0a 80                     storescr.i 0
+000b53 00007b 00 80                     loadscr.i 0
+000b55 00007d 32                        null.i
+000b56 00007e 46                        equal.i
+000b57 00007f 7c 83                     jumpz l9
+000b59 000081 7e 7f b3                  call l4
 l9:
-00087d 000084 2c ff                     changeloc.a -1
-00087f 000086 7f                        return
+000b5c 000084 2c ff                     changeloc.a -1
+000b5e 000086 7f                        return
                                         
                                         # Function "soundOff" of type "@void-", dynamic linkage "-v":
 l7:
-000880 000087 04 81                     loadscr.a 1
-000882 000089 7a 90                     const.s 16
-000884 00008b ca 94 81                  bi.a.dyncall 20 1
-000887 00008e 7f                        return
+000b5f 000087 04 81                     loadscr.a 1
+000b61 000089 7a 90                     const.s 16
+000b63 00008b ca 94 81                  bi.a.dyncall 20 1
+000b66 00008e 7f                        return
                                         
                                         # End of assembly file.
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/level/model/worldmodel.s3d_model_log
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/level/model/worldmodel.s3d_model_log	(revision 2499)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/level/model/worldmodel.s3d_model_log	(revision 2503)
@@ -1810,8 +1810,8 @@
 }
 {
-    name "head_group_2"
-    bound_min -0.351627 -0.391826 -0.436515
-    bound_max 0.351627 0.391824 0.436515
-    texture_cnt 0
+    name "diffuse_head"
+    bound_min -0.351627 -0.391825 -0.436515
+    bound_max 0.351626 0.391824 0.436515
+    texture_cnt 2
     bone_cnt 0
     variant_array
@@ -1845,11 +1845,11 @@
         has_tangentv 0
         has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
+        tex_layer_cnt 2
+        tex_attr_cnt 2
     }
 }
 {
     name "head"
-    bound_min -0.28564 -0.426236 -0.358121
+    bound_min -0.285639 -0.426236 -0.358122
     bound_max 0.252187 0.436978 0.360846
     texture_cnt 2
@@ -1921,3 +1921,75 @@
     }
 }
+{
+    name "Box04"
+    bound_min -0.151901 -0.19194 0.0
+    bound_max 0.151901 0.19194 0.289064
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 24
+        vert_ess_cnt 24
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 8
+        vert_ess_cnt 8
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
 $
